Skip to content
SteamSets
Esc
↑↓navigate↵open⌘Jpreview

Find up to N shortest friend paths between two accounts

POST/v1/account.findFriendPath
Authorization
AuthorizationBearer token · headerrequired
Request body
requiredapplication/json
excludeAccountSearch[] | null

Accounts to exclude from all paths. From/To are never excluded even if listed.

Show properties
Array of AccountSearch
idIDSearch
Show properties
accountIdinteger<int32>

Account ID to search for

min 0 · min length 7
steamId64string

SteamID64 to search for

min length 17 · max length 17
vanityVanitySearch
Show properties
typestringrequired

Which type of vanity to search for

Allowed:steaminternal
valuestringrequired

Vanity to search for

min length 2 · matches ^[a-zA-Z0-9-_]+$
fromAccountSearchrequired

Starting account

Show properties
idIDSearch
Show properties
accountIdinteger<int32>

Account ID to search for

min 0 · min length 7
steamId64string

SteamID64 to search for

min length 17 · max length 17
vanityVanitySearch
Show properties
typestringrequired

Which type of vanity to search for

Allowed:steaminternal
valuestringrequired

Vanity to search for

min length 2 · matches ^[a-zA-Z0-9-_]+$
maxPathsinteger<int32>

Max number of paths to return (default 10, capped at 50). A direct friendship always returns a single path regardless of this value.

min 0
toAccountSearchrequired

Target account

Show properties
idIDSearch
Show properties
accountIdinteger<int32>

Account ID to search for

min 0 · min length 7
steamId64string

SteamID64 to search for

min length 17 · max length 17
vanityVanitySearch
Show properties
typestringrequired

Which type of vanity to search for

Allowed:steaminternal
valuestringrequired

Vanity to search for

min length 2 · matches ^[a-zA-Z0-9-_]+$
Responses
200

OK

foundbooleanrequired

Whether any path was found

pathsFriendPath[] | nullrequired

Paths sorted ascending by distance

Show properties
Array of FriendPath
distanceinteger<int64>required

Number of hops in this path

pathLeaderboardAccount[] | nullrequired

Ordered accounts from source to target

Show properties
Array of LeaderboardAccount
animatedAvatarstringrequired

The animated avatar of the account

appsinteger<int32>required

The number of apps the account has

min 0
avatarstringrequired

The avatar hash of the account

avatarFramestringrequired

The avatar frame of the account

awardsGiveninteger<int32>required

The number of awards the account has

min 0
awardsReceivedinteger<int32>required

The number of awards the account has

min 0
backgroundstringrequired

The background of the account

badgesinteger<int32>required

The number of badges the account has

min 0
bansinteger<int32>required

The number of bans

min 0
cityLeaderboardCity | null

The city of the account

Show properties
namestringrequired

The name of the city

countryLeaderboardCountry | null

The country of the account

Show properties
codestring

The code of the country

namestringrequired

The name of the country

createdAtstring<date-time>required

The time the account was created

donatedinteger<int32>required

The total of donations the account has

min 0
economyBanstringrequired

The economy ban of the account

foilBadgesinteger<int32>required

The number of foil badges the account has

min 0
friendsinteger<int32>required

The number of friends the account has

min 0
gameBansinteger<int32>required

The number of game bans

min 0
levelinteger<int32>required

The level of the account

min 0
miniBackgroundstringrequired

The mini background of the account

namestringrequired

The name of the account

nameEffectstringrequired

Donator name effect, none when unset or the account no longer holds an entitling role

Allowed:nonerainbowshadowneonshattervaporwavestardustcosmicsakurahalomoltenglassamber_glintamethyst_glintemerald_depthsapphire_depthruby_firediamond_fireastral_skynebula_skystaff_scandeveloper_scancrownlensboost
normalBadgesinteger<int32>required

The number of normal badges the account has

min 0
playtimeinteger<int32>required

The playtime of the account

min 0
pointsGiveninteger<int32>required

The number of points the account has

min 0
pointsReceivedinteger<int32>required

The number of points the account has

min 0
privacystringrequired

The privacy of the account

Allowed:publicprivatefriends_only
regionLeaderboardRegion | null

The region of the account

Show properties
namestringrequired

The name of the region

rolesRole[] | nullrequired

The roles of the account

Show properties
Array of Role
extrasobject | nullrequired

Extra data associated with the role

ratinginteger<int32>required

The higher the more presedence it has

rolestringrequired
Allowed:userdonatorstaffdeveloperpartnerowneramethystamberemeraldsapphirerubydiamondcontributorearly_supporterbetatranslatortop_100badge_scoutnitro_boosterlevels_adminastralnebula
stateLeaderboardState | null

The state of the account

Show properties
namestringrequired

The name of the state

steamIdstringrequired

The steam id

steamSetsScoreinteger<int32>required

The steam sets score

min 0
steamSetsVanitystringrequired

The vanity of the account

steamVanitystringrequired

The vanity of the account

supporterSupporterStatus

Whether this account helps cover the monthly server costs, omitted when it never donated

Show properties
activebooleanrequired

Donated this month

monthsinteger<int32>required

Total months with a donation

min 0
themeColorstring | nullrequired

Donator profile theme color as #RRGGBB (no alpha), null when unset or the account no longer holds an entitling role

vacBansinteger<int32>required

The number of vac bans

min 0
xpinteger<int32>required

The number of xp the account has

min 0
400

Bad Request

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
401

Unauthorized

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
404

Not Found

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
422

Unprocessable Entity

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
500

Internal Server Error

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
503

Service Unavailable

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.steamsets.com/v1/account.findFriendPath' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "exclude": [
    {
      "id": {
        "accountId": 0,
        "steamId64": "stringstringstrin"
      },
      "vanity": {
        "type": "steam",
        "value": "string"
      }
    }
  ],
  "from": {
    "id": {
      "accountId": 0,
      "steamId64": "stringstringstrin"
    },
    "vanity": {
      "type": "steam",
      "value": "string"
    }
  },
  "maxPaths": 0,
  "to": {
    "id": {
      "accountId": 0,
      "steamId64": "stringstringstrin"
    },
    "vanity": {
      "type": "steam",
      "value": "string"
    }
  }
}'
Response
{
  "found": true,
  "paths": [
    {
      "distance": 0,
      "path": [
        {
          "animatedAvatar": "string",
          "apps": 123456,
          "avatar": "f1a1d2c3d0c9d1e1f2f3f4f5f6f7f8f9",
          "avatarFrame": "string",
          "awardsGiven": 123456,
          "awardsReceived": 123456,
          "background": "string",
          "badges": 123456,
          "bans": 0,
          "city": {
            "name": "Bad Krozingen"
          },
          "country": {
            "code": "DE",
            "name": "Germany"
          },
          "createdAt": "2023-01-01T00:00:00Z",
          "donated": 123456,
          "economyBan": "steam",
          "foilBadges": 123456,
          "friends": 123456,
          "gameBans": 0,
          "level": 123456,
          "miniBackground": "string",
          "name": "steamsets",
          "nameEffect": "rainbow",
          "normalBadges": 123456,
          "playtime": 123456,
          "pointsGiven": 123456,
          "pointsReceived": 123456,
          "privacy": "public",
          "region": {
            "name": "Europe"
          },
          "roles": [
            {
              "extras": {
                "property1": null,
                "property2": null
              },
              "rating": 0,
              "role": "user"
            }
          ],
          "state": {
            "name": "Baden-Wurttemberg"
          },
          "steamId": "76561198842603734",
          "steamSetsScore": 0,
          "steamSetsVanity": "steamsets",
          "steamVanity": "steamsets",
          "supporter": {
            "active": true,
            "months": 3
          },
          "themeColor": "#FF5733",
          "vacBans": 0,
          "xp": 123456
        }
      ]
    }
  ]
}